Bug 2659 - potential buffer overflow in torture
potential buffer overflow in torture
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.14a
All Linux
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-27 09:22 UTC by Lars Müller
Modified: 2005-08-24 10:22 UTC (History)
0 users

See Also:


Attachments
Correct calculation of max len for slprintf (500 bytes, patch)
2005-04-27 09:24 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2005-04-27 09:22:00 UTC
There is a potential buffer overflow in source/torture/torture.c
Comment 1 Lars Müller 2005-04-27 09:24:15 UTC
Created attachment 1181 [details]
Correct calculation of max len for slprintf
Comment 2 Lars Müller 2005-07-20 06:44:45 UTC
Fixed with rev 8653 in trunk and 3_0.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:55 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.